<template>
  <main class="page">
    <slot name="top" />

    <Content class="theme-default-content" />
    <PageEdit />

    <PageNav v-bind="{ sidebarItems }" />

    <slot name="bottom" />

    <div class="custom-footer">
      <Content slot-key="custom-footer"/>
      <hr/>
      <p style="text-align: center;">
        MyStation
        <br/>
        <br/>
        <a href="https://discordapp.com/channels/729028505123291228" target="_blank">
          <img src="https://img.shields.io/discord/729028505123291228?label=Discord&logo=discord&logoColor=white"/>
        </a>
      </p>
    </div>
  </main>
</template>

<script>
import PageEdit from '@theme/components/PageEdit.vue'
import PageNav from '@theme/components/PageNav.vue'

export default {
  components: { PageEdit, PageNav },
  props: ['sidebarItems']
}
</script>

<style lang="stylus">
@require '~@parent-theme/styles/wrapper.styl'

.page
  padding-bottom 2rem
  display block

  .custom-footer
    @extend $wrapper
    padding-top 1rem
    padding-bottom 1rem

</style>
